import { ViewBase } from '../../libappbase/viewbase';
import { UIWaitSOP } from '../../libappsop/objectsop';
import { AppMP } from '../appmp';
import { FormEntity } from '../forms/form.unit';

/**
 * Data > Entities view.
 */
export class ViewEntity extends ViewBase implements UIWaitSOP {
  public readonly name = 'View Units and Stocks';
  public readonly viewPath = 'Data > Entities';

  public formEntity = new FormEntity();

  public async switchTo(): Promise<void> {
    const appMP = AppMP.getInstance();

    await appMP.abpData.click();
    await appMP.abpData.btnEntities.click();
    await this.waitUILoaded();
  }

  public async waitUILoaded(): Promise<void> {
    await this.formEntity.waitUntilPresent();
  }
}
